| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Origin Destination and Origin Route

Origin Destination and Origin Route Definitions and Methods. More...

## Classes
class | unsp__OriginDestinationRequest
| Create Origin Destination request. More...
struct | unsp__CreateOriginDestinationResult
| Origin Destination result. More...
class | unsp__ModifyOriginDestinationRequest
| Modify Origin Destination request. More...
struct | unsp__ModifyOriginDestinationResult
| Modify Origin Destination result. More...
struct | unsp__RemoveOriginDestinationResult
| Remove Origin Destination result. More...
class | unsp__QueryOriginDestinationRequest
| Query Origin Destination request. More...
class | unsp__OriginDestination
| Origin Destination. More...
class | unsp__ArrayOfOriginDestination
| Array of Origin Destinations. More...
struct | unsp__OriginDestinationResult
| Query Origin Destination result. More...
class | unsp__CreateOriginRoute
| Create Origin Route request. More...
struct | unsp__CreateOriginRouteResult
| Create Origin Route result. More...
class | unsp__ModifyOriginRouteRequest
| Modify Origin Route request. More...
struct | unsp__ModifyOriginRouteResult
| Modify Origin Route result. More...
class | unsp__RemoveOriginRouteRequest
| Remove Origin Route request. More...
struct | unsp__RemoveOriginRouteResult
| Remove Origin Route result. More...
class | unsp__QueryOriginRouteRequest
| Query Origin Route request. More...
class | unsp__OriginRoute
| Origin Route. More...
class | unsp__ArrayOfOriginRoute
| Array of Origin Routes. More...
struct | unsp__OriginRouteResult
| Query Origin Route result. More...

## Enumerations
enum | unsp__OrigDestType { OrigDestCarrier = 25, OrigDestMs = 26, OrigDestUndefined = -1, OrigDestIgnored = -3 }
| The type of Origin Destination. More...
enum | unsp__OriginRouteDestinationType { OriginRouteDtIgnored = -3, OriginRouteDtUnused = -1, OriginRouteDtDest = 5, OriginRouteDtMediaGateway = 12 }
| The type of Route. More...

## Functions
int | unsp__createOriginDestination (unsp__OriginDestinationRequest CreateOriginDestinationRequest, struct unsp__CreateOriginDestinationResult *CreateOriginDestinationResult)
| Creates an Origin Destination. More...
int | unsp__removeOriginDestination (unsp__OriginDestinationRequest RemoveOriginDestinationRequest, struct unsp__RemoveOriginDestinationResult *RemoveOriginDestinationResult)
| Removes an Origin Destination. More...
int | unsp__modifyOriginDestination (unsp__ModifyOriginDestinationRequest ModifyOriginDestinationRequest, struct unsp__ModifyOriginDestinationResult *ModifyOriginDestinationResult)
| Modofies an Origin Destination. More...
int | unsp__queryOriginDestination (unsp__QueryOriginDestinationRequest QueryOriginDestinationRequest, struct unsp__OriginDestinationResult *QueryOriginDestinationResult)
| Queries Origin Destinations. More...
int | unsp__createOriginRoute (unsp__CreateOriginRoute CreateOriginRouteRequest, struct unsp__CreateOriginRouteResult *CreateOriginRouteResult)
| Creates an Origin Route. More...
int | unsp__modifyOriginRoute (unsp__ModifyOriginRouteRequest ModifyOriginRouteRequest, struct unsp__ModifyOriginRouteResult *ModifyOriginRouteResult)
| Modifies an Origin Route. More...
int | unsp__removeOriginRoute (unsp__RemoveOriginRouteRequest RemoveOriginRouteRequest, struct unsp__RemoveOriginRouteResult *RemoveOriginRouteResult)
| Modifies an Origin Route. More...
int | unsp__queryOriginRoute (unsp__QueryOriginRouteRequest QueryOriginRouteRequest, struct unsp__OriginRouteResult *QueryOriginRouteResult)
| Queries Origin Routes. More...

## Detailed Description

Origin Destination and Origin Route Definitions and Methods.

The OpenScape Voice system provides origin dependent translation and routing for calls handled by multiple feature servers in a VoIP (Voice over IP) network. To provide origin dependent routing a parameter known as the OTG (Originating Tenant Group) is passed between system's in a network. The origin-dependent routing feature allows assigning rate area and class of service to SIP subscribers, SIP servers, and SIP-Q gateways. During routing, originating rate area and class of service are obtained from the incoming SIP subscriber, SIP server or SIP-Q gateway; this information is used to select routes or media servers.

## Enumeration Type Documentation

## ◆ unsp__OrigDestType

enum unsp__OrigDestType

The type of Origin Destination.

Enumerator
OrigDestCarrier | Carrier.
OrigDestMs | Media Server.
OrigDestUndefined | Undefined.
OrigDestIgnored | Ignored.

## ◆ unsp__OriginRouteDestinationType

enum unsp__OriginRouteDestinationType

The type of Route.

Enumerator
OriginRouteDtIgnored | Ignored.
OriginRouteDtUnused | Unused.
OriginRouteDtDest | Destination.
OriginRouteDtMediaGateway | Media Gateway.

## Function Documentation

## ◆ unsp__createOriginDestination()

unsp__createOriginDestination | ( | unsp__OriginDestinationRequest | CreateOriginDestinationRequest,
|  | struct unsp__CreateOriginDestinationResult * | CreateOriginDestinationResult
| ) |  |

Creates an Origin Destination.

Parameters

  CreateOriginDestinationRequest | API request
  CreateOriginDestinationResult | API result MP2 command: OriginDestination [Attributes]

## ◆ unsp__createOriginRoute()

unsp__createOriginRoute | ( | unsp__CreateOriginRoute | CreateOriginRouteRequest,
|  | struct unsp__CreateOriginRouteResult * | CreateOriginRouteResult
| ) |  |

Creates an Origin Route.

Parameters

  CreateOriginRouteRequest | API request
  CreateOriginRouteResult | API result MP2 command: OriginRoute [Attributes]

## ◆ unsp__modifyOriginDestination()

unsp__modifyOriginDestination | ( | unsp__ModifyOriginDestinationRequest | ModifyOriginDestinationRequest,
|  | struct unsp__ModifyOriginDestinationResult * | ModifyOriginDestinationResult
| ) |  |

Modofies an Origin Destination.

Parameters

  ModifyOriginDestinationRequest | API request
  ModifyOriginDestinationResult | API result MP2 command: ModifyOriginDestination [Attributes]

## ◆ unsp__modifyOriginRoute()

unsp__modifyOriginRoute | ( | unsp__ModifyOriginRouteRequest | ModifyOriginRouteRequest,
|  | struct unsp__ModifyOriginRouteResult * | ModifyOriginRouteResult
| ) |  |

Modifies an Origin Route.

Parameters

  ModifyOriginRouteRequest | API request
  ModifyOriginRouteResult | API result MP2 command: ModifyOriginRoute [Attributes]

## ◆ unsp__queryOriginDestination()

unsp__queryOriginDestination | ( | unsp__QueryOriginDestinationRequest | QueryOriginDestinationRequest,
|  | struct unsp__OriginDestinationResult * | QueryOriginDestinationResult
| ) |  |

Queries Origin Destinations.

Parameters

  QueryOriginDestinationRequest | API request
  QueryOriginDestinationResult | API result

## ◆ unsp__queryOriginRoute()

unsp__queryOriginRoute | ( | unsp__QueryOriginRouteRequest | QueryOriginRouteRequest,
|  | struct unsp__OriginRouteResult * | QueryOriginRouteResult
| ) |  |

Queries Origin Routes.

Parameters

  QueryOriginRouteRequest | API request
  QueryOriginRouteResult | API result

## ◆ unsp__removeOriginDestination()

unsp__removeOriginDestination | ( | unsp__OriginDestinationRequest | RemoveOriginDestinationRequest,
|  | struct unsp__RemoveOriginDestinationResult * | RemoveOriginDestinationResult
| ) |  |

Removes an Origin Destination.

Parameters

  RemoveOriginDestinationRequest | API request
  RemoveOriginDestinationResult | API result MP2 command: RemoveOriginDestination [Attributes]

## ◆ unsp__removeOriginRoute()

unsp__removeOriginRoute | ( | unsp__RemoveOriginRouteRequest | RemoveOriginRouteRequest,
|  | struct unsp__RemoveOriginRouteResult * | RemoveOriginRouteResult
| ) |  |

Modifies an Origin Route.

Parameters

  RemoveOriginRouteRequest | API request
  RemoveOriginRouteResult | API result MP2 command: RemoveOriginRoute [Attributes]